import { ChangeDetectorRef, OnInit } from '@angular/core';
import { Store } from '@ngxs/store';
import { Observable } from 'rxjs';
import { Assistance } from '../../../../core/models/assistance';
import { InputChangeData } from '../../../../../../common/input-detection/input-detection.directive';
import { SmzContentTheme } from '../../../../core/models/themes';
import { NewAthenaLayout, NewAthenaMenuTypes } from '../../layout.config';
import * as i0 from "@angular/core";
export declare class NewAthenaAssistanceComponent implements OnInit {
    private store;
    private cdr;
    assistance$: Observable<Assistance>;
    isVisible: boolean;
    menuTypes: any[];
    menuType: NewAthenaMenuTypes;
    layout: NewAthenaLayout;
    constructor(store: Store, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    setSidebarWidth(event: InputChangeData): void;
    setSidebarSlimWidth(event: InputChangeData): void;
    setupData(): void;
    onMenuTypeChange(): void;
    onHide(): void;
    onShow(): void;
    showMenu(): void;
    hideMenu(): void;
    onSetContentTheme(theme: SmzContentTheme): void;
    showAssistance(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewAthenaAssistanceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NewAthenaAssistanceComponent, "smz-ui-new-athena-assistance", never, {}, {}, never, never, false, never>;
}
